Subject: Re: bug#23425: master branch: `message' wrongly corrupts ' to curly quote.

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 May 2016 20:03:43 +0300

> Date: Wed, 4 May 2016 16:48:49 +0000
> Cc: [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > > That theory _is_ wrong, certainly amongst Emacs developers.  Even in this
> > > bug thread, two other people have expressed negative sentiments about
> > > this matter.
> 
> > So we have 3 people against that.  Is it really enough?
> 
> That's three people in this thread.  Over the months, more people have
> expressed unhappinness about curly quotes, in the various ways they have
> been imposed on us.  Yes, I think that is enough.

I don't.  Please let's wait until 25.1 is released, the only way to
change this decision is if we see a lot of complaints about this.

> The comments from the other two people have been less than fully
> respectful, and at least one of them is not known for making snide
> remarks.  What does that tell you?

That some people don't like this.  But we knew that back when it was
decided to have this feature.

> Put frankly, the curly quote stuff was installed into Emacs without there
> being any consensus in favour of it, and was deliberately done in such a
> way that it could not be disabled (see below).

Not true.  If there were no consensus, at least not a wide enough one,
this wouldn't have been admitted.  The objections were not numerous
enough and strong enough to prevent these changes.

> > > They're not - they're literal characters.
> 
> > So is %.
> 
> You can escape a % by writing %%.  That will consistently be output as %.
> There is no comparable form of escape for the quote characters.

Yes, there is: use "%s" as the first argument to 'message'.  Which is
a Good Thing anyway, as we all know.

> If it is too late to go into 25.1, can we put a fix into 25.2?

I see no reason not to install a change along these lines on master,
if the new value is not the default.

> And yet again, I suggest `text-quoting-style' should become a
> configurable option, giving users the ability to chose how THEY want
> messages to be displayed.

And I yet again urge you to wait until 25.1 hits the streets, and we
see what the Emacs community at large thinks about this.